Entur Developer
Product Parameters

Version

Server

Version management endpoints


Get a version by ID

GET
https://api.entur.io/products
/v3/versions/{id}

Retrieve a specific version by its netex ID.

Get a version by ID › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The netex ID of the element to retrieve

Get a version by ID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get a version by ID › Responses

Version found successfully

id
​string · pattern: ^([A-Z]{3}):Version:… · required

The netex id reference to the object.

Example: EXA:Version:001
status
​VersionStatus · enum · required
Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version.

created
​string · date-time · required

Created datetime

changed
​string · date-time · required

Changed datetime

number
​integer · int64

Version number of the version. Only present when versionStatus is VERSIONED. Starts at 1 for a new product and is incremented by 1 for each new version.

Example: 1
endDate
​string · date

The end date of the version.

published
​string · date-time

Timestamp for when the version was published (set to status VERSIONED).


Update an existing version

PUT
https://api.entur.io/products
/v3/versions/{id}

Update an existing version. Can be used to change status (e.g., from DRAFT to PROPOSED or PROPOSED to VERSIONED) or modify dates.

Update an existing version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The netex ID of the element to retrieve

Update an existing version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update an existing version › Request Body

status
​string · enum · required

Must be DRAFT for new versions.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version. Defaults to current date if not provided.

endDate
​string · date

The end date of the version (optional).

ownerOrganisationId
​integer · int64 · min: 1

Internal id of the organisation that owns this element. Omit it to use the organisation in the access token, which is what a caller acting for itself should do. Supplying a different organisation requires permission to act on behalf of that organisation.

Update an existing version › Responses

Version updated successfully

id
​string · pattern: ^([A-Z]{3}):Version:… · required

The netex id reference to the object.

Example: EXA:Version:001
status
​VersionStatus · enum · required
Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version.

created
​string · date-time · required

Created datetime

changed
​string · date-time · required

Changed datetime

number
​integer · int64

Version number of the version. Only present when versionStatus is VERSIONED. Starts at 1 for a new product and is incremented by 1 for each new version.

Example: 1
endDate
​string · date

The end date of the version.

published
​string · date-time

Timestamp for when the version was published (set to status VERSIONED).


Create a new version

POST
https://api.entur.io/products
/v3/versions

Create a new version in DRAFT status. The version will be assigned the current date as startDate if not provided.

Create a new version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a new version › Request Body

status
​string · enum · required

Must be DRAFT for new versions.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version. Defaults to current date if not provided.

endDate
​string · date

The end date of the version (optional).

ownerOrganisationId
​integer · int64 · min: 1

Internal id of the organisation that owns this element. Omit it to use the organisation in the access token, which is what a caller acting for itself should do. Supplying a different organisation requires permission to act on behalf of that organisation.

Create a new version › Responses

Version created successfully

id
​string · pattern: ^([A-Z]{3}):Version:… · required

The netex id reference to the object.

Example: EXA:Version:001
status
​VersionStatus · enum · required
Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version.

created
​string · date-time · required

Created datetime

changed
​string · date-time · required

Changed datetime

number
​integer · int64

Version number of the version. Only present when versionStatus is VERSIONED. Starts at 1 for a new product and is incremented by 1 for each new version.

Example: 1
endDate
​string · date

The end date of the version.

published
​string · date-time

Timestamp for when the version was published (set to status VERSIONED).


Get version history for a versionable element by ID

GET
https://api.entur.io/products
/v3/versions/history/{id}

Retrieve the list for all version that is related to the given versionable element.

Get version history for a versionable element by ID › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The netex ID of the element to retrieve

Get version history for a versionable element by ID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get version history for a versionable element by ID › Responses

Version history found successfully

id
​string · pattern: ^([A-Z]{3}):Version:… · required

The netex id reference to the object.

Example: EXA:Version:001
status
​VersionStatus · enum · required
Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
startDate
​string · date · required

The start date of the version.

created
​string · date-time · required

Created datetime

changed
​string · date-time · required

Changed datetime

number
​integer · int64

Version number of the version. Only present when versionStatus is VERSIONED. Starts at 1 for a new product and is incremented by 1 for each new version.

Example: 1
endDate
​string · date

The end date of the version.

published
​string · date-time

Timestamp for when the version was published (set to status VERSIONED).


Did you find what you were looking for?